%define		_class		Net
%define		_subclass	Sieve
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

%define _requires_exceptions pear(password.inc.php)\\|pear(PHPUnit2

Summary:	%{_pearname} - handles talking to timsieved
Name:		php-pear-%{_pearname}
Version:	1.1.7
Release:	%mkrel 1
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_Sieve/
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
Patch0:		Net_Sieve-Sieve_fix.diff
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Provides an API to talk to the timsieved server that comes with Cyrus
IMAPd. Can be used to install, remove, mark active etc sieve scripts.

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

pushd %{_pearname}-%{version}
%patch0 -p0
popd

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}

install %{_pearname}-%{version}/Sieve.php %{buildroot}%{_datadir}/pear/%{_class}

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/SieveTest.php
%doc %{_pearname}-%{version}/largescript.siv
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.7-1mdv2010.0
+ Revision: 400321
- update to new version 1.1.7

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-2mdv2009.1
+ Revision: 321887
- rebuild

* Wed Aug 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdv2009.0
+ Revision: 274173
- fix "build"
- 1.1.6

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.5-4mdv2009.0
+ Revision: 224838
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-3mdv2008.1
+ Revision: 178531
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-2mdv2008.0
+ Revision: 33606
- filter out pear(PHPUnit2

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-1mdv2008.0
+ Revision: 15604
- fix build and deps
- 1.1.5


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2007.0
+ Revision: 81180
- Import php-pear-Net_Sieve

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdk
- 1.1.2
- new group (Development/PHP)

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdk
- rebuild

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdk
- 1.1.1
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk
- First mdk package

